---
kind: pipeline
name: 🐳 Docker

steps:
  - name: 📦 Image
    image: plugins/kaniko
    settings:
      repo: r.mills.io/prologic/zs
      tags: latest
    when:
      branch:
        - main
      event:
        - push

---
kind: pipeline
name: 🥳 Done

steps:
  - name: 🔔 Notify
    image: plugins/webhook
    settings:
      urls:
        - https://msgbus.mills.io/ci.mills.io

depends_on:
  - 🐳 Docker

trigger:
  branch:
    - main
  event:
    - push
